﻿@model SSCMvc.Models.ChangePasswordModel
@using SSCMvc.Models;
@{
    ViewBag.Title = "Change Password";
    Layout = "~/Views/Shared/_PasswordLayout.cshtml";
}
@if (ViewBag.MessageLength != "")
{
    @ViewBag.MessageLength
}
<script src="@Url.Content("~/Scripts/jquery.validate.min.js")" type="text/javascript"></script>
<script src="@Url.Content("~/Scripts/jquery.validate.unobtrusive.min.js")" type="text/javascript"></script>
@using (Html.BeginForm())
{
    @Html.ValidationSummary(true, "Password change was unsuccessful. Please correct the errors and try again.")



    <div class="header">
        <div class="stats">
        </div>
        <h1 class="page-title">
            Change Password
        </h1>
    </div>
    <ul class="breadcrumb">
        @{string utype = Request.Cookies[CommonUtil.CookieUsertype].Value;
        }
        <li><a href="#">Home</a> <span class="divider">/</span></li>
        <li class="active">Change Password</li>
    </ul>

    <table width="80%" align="center">
        <tr>
            <td align="left">
                <div>
                    <fieldset>
                        <legend>Change Password</legend>
                        <table align="left">
                            <tr>
                                <td align="left">
                                    <div class="editor-label">
                                        @Html.LabelFor(m => m.OldPassword)
                                    </div>
                                </td>
                            </tr>
                            <tr>
                                <td align="left">
                                    <div class="editor-field">
                                        @Html.PasswordFor(m => m.OldPassword)

                                    </div>
                                    <div>
                                        @Html.ValidationMessageFor(m => m.OldPassword)
                                    </div>
                                </td>
                            </tr>
                            <tr>
                                <td align="left">
                                    <div class="editor-label">
                                        @Html.LabelFor(m => m.NewPassword) (Minimum 8 Chars)
                                    </div>
                                    @*<div>
                                            Password must contain one alphabet,one Special character,one Numeric
                                        </div>*@
                                </td>
                            </tr>
                            <tr>
                                <td align="left">
                                    <div class="editor-field">
                                        @Html.PasswordFor(m => m.NewPassword)

                                    </div>
                                    <div>
                                        @Html.ValidationMessageFor(m => m.NewPassword)
                                    </div>
                                </td>
                            </tr>
                            <tr>
                                <td align="left">
                                    <div class="editor-label">
                                        @Html.LabelFor(m => m.ConfirmPassword)
                                    </div>
                                </td>
                            </tr>
                            <tr>
                                <td align="left">
                                    <div class="editor-field">
                                        @Html.PasswordFor(m => m.ConfirmPassword)
                                    </div>
                                    <div>
                                        @Html.ValidationMessageFor(m => m.ConfirmPassword)
                                    </div>
                                </td>
                            </tr>
                            <tr>
                                <td align="left">
                                    <input type="submit" value="Change Password" class="btn btn-primary" />
                                </td>
                            </tr>
                        </table>


                        <table align="right">
                            <tr>
                                <td valign="top">
                                    <div>
                                        <ul style="text-decoration:none;list-style:none">
                                            <li>
                                                <b>Instructions To Change The Password:</b>
                                            </li>
                                            <li>
                                                <ul>
                                                    <li>
                                                        First enter your current password.
                                                    </li>
                                                    <li>
                                                        Then enter new password that must contains:
                                                        <ul>
                                                            <li>
                                                                Minimum 8 Chars and Maximum 15 Chars.
                                                            </li>
                                                            <li>
                                                                Atleast One Alphabet.
                                                            </li>
                                                            <li>
                                                                Atleast One Special Character.
                                                            </li>
                                                            <li>
                                                                Atleast One Numeric.
                                                            </li>
                                                            <li>
                                                                Atleast One Capital letter.
                                                            </li>
                                                            <li>
                                                                Does Not Contain Your First Name
                                                            </li>
                                                        </ul>
                                                    </li>
                                                </ul>

                                            </li>
                                        </ul>

                                    </div>
                                </td>
                            </tr>
                        </table>


                    </fieldset>
                </div>


            </td>


        </tr>
    </table>

}
